Package com.castlabs.sdk.oma

## Class OmaPlugin

- java.lang.Object
- - com.castlabs.android.Plugin
  - - com.castlabs.sdk.oma.OmaPlugin

-     public class OmaPlugin
      extends Plugin

  This plugin provides support for OMA-DRM within the Castlabs SDK.

  Before you can use this plugin, you need to register it with the `PlayerSDK` before you initialize the SDK itself. For example:

           PlayerSDK.register(new OmaPlugin());
           PlayerSDK.init(getApplicationContext());

  Since version 4.0.3, the OMA plugin exposes `HTTP_CONNECTION_TIMEOUT_MS`. You can adjust the timeout for all http connections opened by the OMA client.
  Since:
    3.0.0

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `HTTP_CONNECTION_TIMEOUT_MS` | The connection timeout that is used for HTTP connections opened by the OMA client.
    `static int` | `HTTP_READ_TIMEOUT_MS` | The read timeout that is used for HTTP connections opened by the OMA client.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OmaPlugin()` |
    `OmaPlugin​(boolean allowClearPlayback)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `deleteLocalLicenses()` | Call this method to delete all licenses that are stored on this device.
    `String` | `getId()` |

    - ### Methods inherited from class com.castlabs.android.Plugin

      `init, onRemotePlay`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HTTP_CONNECTION_TIMEOUT_MS

          public static int HTTP_CONNECTION_TIMEOUT_MS

      The connection timeout that is used for HTTP connections opened by the OMA client. The default timeout is 5 seconds. The value is overriden by `NetworkConfiguration.drmConnectionTimeoutMs` if the latter is set
      Since:
        4.0.3

    - #### HTTP_READ_TIMEOUT_MS

          public static int HTTP_READ_TIMEOUT_MS

      The read timeout that is used for HTTP connections opened by the OMA client. The default timeout is 5 seconds. The value is overriden by `NetworkConfiguration.drmReadTimeoutMs` if the latter is set
      Since:
        4.2.11

  - ### Constructor Detail

    - #### OmaPlugin

          public OmaPlugin()

    - #### OmaPlugin

          public OmaPlugin​(boolean allowClearPlayback)

  - ### Method Detail

    - #### getId

          @NonNull
          public String getId()

      Specified by:
        `getId` in class `Plugin`

    - #### deleteLocalLicenses

          public static void deleteLocalLicenses()

      Call this method to delete all licenses that are stored on this device. This can be useful if you encounter `SecurityException` raised because the device time changed. In that case you need to either set the devices time back to its original value or you need to remove all licenses from the devices and re-fetch them with accurate time stamps.